com.impinj.stp

## Enum StpApi.ReportType

- java.lang.Object
- - java.lang.Enum<StpApi.ReportType>
  - - com.impinj.stp.StpApi.ReportType

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.ReportType>
  Enclosing class:
    StpApi

      public static enum StpApi.ReportType
      extends java.lang.Enum<StpApi.ReportType>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.ReportType` Use this type when registering a report handler.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REPORT_TYPE_ALL`
    `REPORT_TYPE_CARTON_CONTENTS`
    `REPORT_TYPE_DEVICE_EVENT`
    `REPORT_TYPE_OPERATION_SUMMARY`
    `REPORT_TYPE_TAG_OPERATION`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `REPORT_TYPE_ALL_VALUE`
    `static int` | `REPORT_TYPE_CARTON_CONTENTS_VALUE`
    `static int` | `REPORT_TYPE_DEVICE_EVENT_VALUE`
    `static int` | `REPORT_TYPE_OPERATION_SUMMARY_VALUE`
    `static int` | `REPORT_TYPE_TAG_OPERATION_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.ReportType>` | `internalGetValueMap()`
    `static StpApi.ReportType` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.ReportType` | `valueOf(int value)`
    `static StpApi.ReportType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.ReportType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REPORT_TYPE_ALL

          public static final StpApi.ReportType REPORT_TYPE_ALL

    - #### REPORT_TYPE_DEVICE_EVENT

          public static final StpApi.ReportType REPORT_TYPE_DEVICE_EVENT

    - #### REPORT_TYPE_OPERATION_SUMMARY

          public static final StpApi.ReportType REPORT_TYPE_OPERATION_SUMMARY

    - #### REPORT_TYPE_TAG_OPERATION

          public static final StpApi.ReportType REPORT_TYPE_TAG_OPERATION

    - #### REPORT_TYPE_CARTON_CONTENTS

          public static final StpApi.ReportType REPORT_TYPE_CARTON_CONTENTS

  - ### Field Detail

    - #### REPORT_TYPE_ALL_VALUE

          public static final int REPORT_TYPE_ALL_VALUE

      See Also:
        Constant Field Values

    - #### REPORT_TYPE_DEVICE_EVENT_VALUE

          public static final int REPORT_TYPE_DEVICE_EVENT_VALUE

      See Also:
        Constant Field Values

    - #### REPORT_TYPE_OPERATION_SUMMARY_VALUE

          public static final int REPORT_TYPE_OPERATION_SUMMARY_VALUE

      See Also:
        Constant Field Values

    - #### REPORT_TYPE_TAG_OPERATION_VALUE

          public static final int REPORT_TYPE_TAG_OPERATION_VALUE

      See Also:
        Constant Field Values

    - #### REPORT_TYPE_CARTON_CONTENTS_VALUE

          public static final int REPORT_TYPE_CARTON_CONTENTS_VALUE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.ReportType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.ReportType c : StpApi.ReportType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.ReportType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.ReportType valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.ReportType> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.ReportType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)